Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGlyphSource2D Class Reference

`#include <vtkGlyphSource2D.h>`

Inheritance diagram for vtkGlyphSource2D:

[legend]
Collaboration diagram for vtkGlyphSource2D:

[legend]
List of all members.

## Detailed Description

create 2D glyphs represented by vtkPolyData

Date:
  2002/09/03 12:52:23

Revision:
  1.12

vtkGlyphSource2D can generate a family of 2D glyphs each of which lies in the x-y plane (i.e., the z-coordinate is zero). The class is a helper class to be used with vtkGlyph2D and vtkXYPlotActor.

To use this class, specify the glyph type to use and its attributes. Attributes include its position (i.e., center point), scale, color, and whether the symbol is filled or not (a polygon or closed line sequence). You can also put a short line through the glyph running from -x to +x (the glyph looks like it's on a line), or a cross.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (87%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkGlyphSource2D.cxx)`
  - .`h` (`/Graphics/vtkGlyphSource2D.h)`

Examples:
  vtkGlyphSource2D (Examples)

Tests:
  vtkGlyphSource2D (Tests)

Definition at line 71 of file vtkGlyphSource2D.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
virtual void | SetScale (float)
virtual float | GetScale ()
virtual void | SetScale2 (float)
virtual float | GetScale2 ()
virtual void | SetColor (float, float, float)
virtual void | SetColor (float[3])
virtual float * | GetColor ()
virtual void | GetColor (float data[3])
virtual void | SetFilled (int)
virtual int | GetFilled ()
virtual void | FilledOn ()
virtual void | FilledOff ()
virtual void | SetDash (int)
virtual int | GetDash ()
virtual void | DashOn ()
virtual void | DashOff ()
virtual void | SetCross (int)
virtual int | GetCross ()
virtual void | CrossOn ()
virtual void | CrossOff ()
virtual void | SetRotationAngle (float)
virtual float | GetRotationAngle ()
virtual void | SetGlyphType (int)
virtual int | GetGlyphType ()
void | SetGlyphTypeToNone ()
void | SetGlyphTypeToVertex ()
void | SetGlyphTypeToDash ()
void | SetGlyphTypeToCross ()
void | SetGlyphTypeToThickCross ()
void | SetGlyphTypeToTriangle ()
void | SetGlyphTypeToSquare ()
void | SetGlyphTypeToCircle ()
void | SetGlyphTypeToDiamond ()
void | SetGlyphTypeToArrow ()
void | SetGlyphTypeToThickArrow ()
void | SetGlyphTypeToHookedArrow ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkGlyphSource2D * | SafeDownCast (vtkObject *o)
vtkGlyphSource2D * | New ()
## Protected Methods
| vtkGlyphSource2D ()
| ~vtkGlyphSource2D ()
void | Execute ()
void | TransformGlyph (vtkPoints *pts)
void | ConvertColor ()
void | CreateVertex (vtkPoints *pts, vtkCellArray *verts, vtkUnsignedCharArray *colors)
void | CreateDash (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors, float scale)
void | CreateCross (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors, float scale)
void | CreateThickCross (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateTriangle (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateSquare (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateCircle (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateDiamond (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateArrow (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateThickArrow (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
void | CreateHookedArrow (vtkPoints *pts, vtkCellArray *lines, vtkCellArray *polys, vtkUnsignedCharArray *colors)
## Protected Attributes
float | Center [3]
float | Scale
float | Scale2
float | Color [3]
int | Filled
int | Dash
int | Cross
int | GlyphType
float | RotationAngle
unsigned char | RGB [3]

## Member Typedef Documentation

typedef vtkPolyDataSource vtkGlyphSource2D::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 74 of file vtkGlyphSource2D.h.

## Constructor & Destructor Documentation

vtkGlyphSource2D::vtkGlyphSource2D | ( |  | ) | `[protected]`

vtkGlyphSource2D::~vtkGlyphSource2D | ( |  | ) | `[inline, protected]`

| Definition at line 162 of file vtkGlyphSource2D.h.

## Member Function Documentation

virtual const char* vtkGlyphSource2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkGlyphSource2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkGlyphSource2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkGlyphSource2D* vtkGlyphSource2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkGlyphSource2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkGlyphSource2D* vtkGlyphSource2D::New | ( |  | ) | `[static]`

| Construct a vertex glyph centered at the origin, scale 1.0, white in color, filled, with line segment passing through the point. Reimplemented from vtkObject.

virtual void vtkGlyphSource2D::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the center of the glyph. By default the center is (0,0,0).

virtual void vtkGlyphSource2D::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set the center of the glyph. By default the center is (0,0,0).

virtual float* vtkGlyphSource2D::GetCenter | ( |  | ) | `[virtual]`

| Set the center of the glyph. By default the center is (0,0,0).

virtual void vtkGlyphSource2D::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set the center of the glyph. By default the center is (0,0,0).

virtual void vtkGlyphSource2D::SetScale | ( | float |  | ) | `[virtual]`

| Set the scale of the glyph. Note that the glyphs are designed to fit in the (1,1) rectangle.

virtual float vtkGlyphSource2D::GetScale | ( |  | ) | `[virtual]`

| Set the scale of the glyph. Note that the glyphs are designed to fit in the (1,1) rectangle.

virtual void vtkGlyphSource2D::SetScale2 | ( | float |  | ) | `[virtual]`

| Set the scale of optional portions of the glyph (e.g., the dash and cross is DashOn() and CrossOn()).

virtual float vtkGlyphSource2D::GetScale2 | ( |  | ) | `[virtual]`

| Set the scale of optional portions of the glyph (e.g., the dash and cross is DashOn() and CrossOn()).

virtual void vtkGlyphSource2D::SetColor | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the color of the glyph. The default color is white.

virtual void vtkGlyphSource2D::SetColor | ( | float | [3] | ) | `[virtual]`

| Set the color of the glyph. The default color is white.

virtual float* vtkGlyphSource2D::GetColor | ( |  | ) | `[virtual]`

| Set the color of the glyph. The default color is white.

virtual void vtkGlyphSource2D::GetColor | ( | float | data[3] | ) | `[virtual]`

| Set the color of the glyph. The default color is white.

virtual void vtkGlyphSource2D::SetFilled | ( | int |  | ) | `[virtual]`

| Specify whether the glyph is filled (a polygon) or not (a closed polygon defined by line segments). This only applies to 2D closed glyphs.

virtual int vtkGlyphSource2D::GetFilled | ( |  | ) | `[virtual]`

| Specify whether the glyph is filled (a polygon) or not (a closed polygon defined by line segments). This only applies to 2D closed glyphs.

virtual void vtkGlyphSource2D::FilledOn | ( |  | ) | `[virtual]`

| Specify whether the glyph is filled (a polygon) or not (a closed polygon defined by line segments). This only applies to 2D closed glyphs.

virtual void vtkGlyphSource2D::FilledOff | ( |  | ) | `[virtual]`

| Specify whether the glyph is filled (a polygon) or not (a closed polygon defined by line segments). This only applies to 2D closed glyphs.

virtual void vtkGlyphSource2D::SetDash | ( | int |  | ) | `[virtual]`

| Specify whether a short line segment is drawn through the glyph. (This is in addition to the glyph. If the glyph type is set to "Dash" there is no need to enable this flag.)

virtual int vtkGlyphSource2D::GetDash | ( |  | ) | `[virtual]`

| Specify whether a short line segment is drawn through the glyph. (This is in addition to the glyph. If the glyph type is set to "Dash" there is no need to enable this flag.)

virtual void vtkGlyphSource2D::DashOn | ( |  | ) | `[virtual]`

| Specify whether a short line segment is drawn through the glyph. (This is in addition to the glyph. If the glyph type is set to "Dash" there is no need to enable this flag.)

virtual void vtkGlyphSource2D::DashOff | ( |  | ) | `[virtual]`

| Specify whether a short line segment is drawn through the glyph. (This is in addition to the glyph. If the glyph type is set to "Dash" there is no need to enable this flag.)

virtual void vtkGlyphSource2D::SetCross | ( | int |  | ) | `[virtual]`

| Specify whether a cross is drawn as part of the glyph. (This is in addition to the glyph. If the glyph type is set to "Cross" there is no need to enable this flag.)

virtual int vtkGlyphSource2D::GetCross | ( |  | ) | `[virtual]`

| Specify whether a cross is drawn as part of the glyph. (This is in addition to the glyph. If the glyph type is set to "Cross" there is no need to enable this flag.)

virtual void vtkGlyphSource2D::CrossOn | ( |  | ) | `[virtual]`

| Specify whether a cross is drawn as part of the glyph. (This is in addition to the glyph. If the glyph type is set to "Cross" there is no need to enable this flag.)

virtual void vtkGlyphSource2D::CrossOff | ( |  | ) | `[virtual]`

| Specify whether a cross is drawn as part of the glyph. (This is in addition to the glyph. If the glyph type is set to "Cross" there is no need to enable this flag.)

virtual void vtkGlyphSource2D::SetRotationAngle | ( | float |  | ) | `[virtual]`

| Specify an angle (in degrees) to rotate the glyph around the z-axis. Using this ivar, it is possible to generate rotated glyphs (e.g., crosses, arrows, etc.)

virtual float vtkGlyphSource2D::GetRotationAngle | ( |  | ) | `[virtual]`

| Specify an angle (in degrees) to rotate the glyph around the z-axis. Using this ivar, it is possible to generate rotated glyphs (e.g., crosses, arrows, etc.)

virtual void vtkGlyphSource2D::SetGlyphType | ( | int |  | ) | `[virtual]`

| Specify the type of glyph to generate.

virtual int vtkGlyphSource2D::GetGlyphType | ( |  | ) | `[virtual]`

| Specify the type of glyph to generate.

void vtkGlyphSource2D::SetGlyphTypeToNone | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 146 of file vtkGlyphSource2D.h. References VTK_NO_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToVertex | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 147 of file vtkGlyphSource2D.h. References VTK_VERTEX_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToDash | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 148 of file vtkGlyphSource2D.h. References VTK_DASH_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToCross | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 149 of file vtkGlyphSource2D.h. References VTK_CROSS_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToThickCross | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 150 of file vtkGlyphSource2D.h. References VTK_THICKCROSS_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToTriangle | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 151 of file vtkGlyphSource2D.h. References VTK_TRIANGLE_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToSquare | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 152 of file vtkGlyphSource2D.h. References VTK_SQUARE_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToCircle | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 153 of file vtkGlyphSource2D.h. References VTK_CIRCLE_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToDiamond | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 154 of file vtkGlyphSource2D.h. References VTK_DIAMOND_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToArrow | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 155 of file vtkGlyphSource2D.h. References VTK_ARROW_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToThickArrow | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 156 of file vtkGlyphSource2D.h. References VTK_THICKARROW_GLYPH.

void vtkGlyphSource2D::SetGlyphTypeToHookedArrow | ( |  | ) | `[inline]`

| Specify the type of glyph to generate. Definition at line 157 of file vtkGlyphSource2D.h. References VTK_HOOKEDARROW_GLYPH.

void vtkGlyphSource2D::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkGlyphSource2D::TransformGlyph | ( | vtkPoints * | pts | ) | `[protected]`

void vtkGlyphSource2D::ConvertColor | ( |  | ) | `[protected]`

void vtkGlyphSource2D::CreateVertex | ( | vtkPoints * | pts,
|  | vtkCellArray * | verts,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateDash | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors,
|  | float | scale
| ) | `[protected]`

void vtkGlyphSource2D::CreateCross | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors,
|  | float | scale
| ) | `[protected]`

void vtkGlyphSource2D::CreateThickCross | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateTriangle | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateSquare | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateCircle | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateDiamond | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateArrow | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateThickArrow | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

void vtkGlyphSource2D::CreateHookedArrow | ( | vtkPoints * | pts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkUnsignedCharArray * | colors
| ) | `[protected]`

## Member Data Documentation

float vtkGlyphSource2D::Center[3]`[protected]`

| Definition at line 166 of file vtkGlyphSource2D.h.

float vtkGlyphSource2D::Scale`[protected]`

| Definition at line 167 of file vtkGlyphSource2D.h.

float vtkGlyphSource2D::Scale2`[protected]`

| Definition at line 168 of file vtkGlyphSource2D.h.

float vtkGlyphSource2D::Color[3]`[protected]`

| Definition at line 169 of file vtkGlyphSource2D.h.

int vtkGlyphSource2D::Filled`[protected]`

| Definition at line 170 of file vtkGlyphSource2D.h.

int vtkGlyphSource2D::Dash`[protected]`

| Definition at line 171 of file vtkGlyphSource2D.h.

int vtkGlyphSource2D::Cross`[protected]`

| Definition at line 172 of file vtkGlyphSource2D.h.

int vtkGlyphSource2D::GlyphType`[protected]`

| Definition at line 173 of file vtkGlyphSource2D.h.

float vtkGlyphSource2D::RotationAngle`[protected]`

| Definition at line 174 of file vtkGlyphSource2D.h.

unsigned char vtkGlyphSource2D::RGB[3]`[protected]`

| Definition at line 178 of file vtkGlyphSource2D.h.

The documentation for this class was generated from the following file:

- Graphics/vtkGlyphSource2D.h